# mod_analyst:

mod_analyst is a command line utility to add/remove QA reviewers from the
`qa_staff` table in the database.

It is recommended that you have the `CAPO_PROFILE`
environment variable set, otherwise you will need to provide the path to the
CAPO file with the database login information.

## Usage
```
usage: mod_analyst -name "First Last" [-email EMAIL] [-group GROUP] [-up] [-rm] [-available] [-unavailable] [-path CAPO_PATH] [-profile PROFILE] []

Add or remove QA reviewers from the qa_staff table in the database
  -available    Mark the user as available, must be used with '-up' flag
  -email        The email of the QA reviewer to be added
  -group        When adding a user, makes them part of the relevant QA group (by default they are added to the Stage 1 group) (default "Stage 1")
  -name         The full name of the QA reviewer to be added, use quotes for the first and last name (e.g. -name 'First Last')
  -path         Path to the properties file with the login details for the database (default "/home/casa/capo:/home/ssa/capo")
  -profile      CAPO Profile to use for database connection, defaults to CAPO_PROFILE of the current environment (e.g. dsoc-dev)
  -rm           Remove the user from the database, Requires -name and -group flags to be present.
  -unavailable  Mark the user as unavailable, must be used with '-up' flag
  -up           Update a user already in the database. Updatable fields are email and availability only. To change an existing user's group add a new record.

```

## Examples

### To add Nathan Bockisch as a Stage 2 reviewer
1. ssh to the machine hosting the database
2. `mod_analyst -name "Nathan Bockisch" -group="Stage 2" -email "nbockisc@nrao.edu"`

### To remove Nathan Bockisch as a reviewer
1. ssh to the machine hosting the database
2. `mod_analyst -name "Nathan Bockisch" -rm`
